/* Footer */

footer {
  font-family: var(--font-body);
  padding: 3rem 10.25rem 2.5rem 10.25rem;
  margin: 1rem;
}

footer ul li:before {
  content: "";
  margin: 0;
  padding: 0;
}

footer a {
  color: var(--bbva-primary-color-light);
  font-family: var(--font-body);
  border-bottom: none;
  font-weight: 500;
  font-size: 0.938rem;
  padding-bottom: 3rem;
}

footer a:hover,
footer a:active,
footer a:focus {
  color: var(--bbva-container-background);
  border-bottom: none;
}

footer .logo img {
  display: block;
  position: relative;
  width: 11.1875rem;
  height: 4.0625rem;
}

footer .tagline-container {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

footer .tagline {
  color: #bdbdbd;
  border-left: 0.0625rem solid #004481;
  font-family:
    "Benton Sans Regular", "Helvetica Neue", Arial, Helvetica, sans-serif;
  font-size: 1.8rem;
  line-height: 1.4;
  margin: 0 0 0 0.9375em;
  padding: 0 0 0 0.9375em;
}

footer nav > ul {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  list-style: none;
  padding: 0;
  gap: 1.5625rem;
}

footer nav > ul li {
  line-height: 1;
  margin-left: 0;
}

footer nav > ul li:first-child {
  border-left: none;
  padding-left: 0;
}

/* Full Footer */

.footer-full nav {
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.footer-full nav h3 {
  color: var(--bbva-primary-contrast);
  font-size: 1em;
  padding-bottom: 0.5em;
}

footer .container {
  width: 100%;
  margin: 0 auto;
  padding: 0 1rem;
}

footer .container.-m {
  max-width: 76.5rem;
}

footer .container .top .row-block {
  margin-bottom: 2.5rem;
}

footer .container .content {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 5.375rem;
}

footer .container .content .top {
  display: flex;
  gap: 2.5rem;
  justify-content: space-between;
  align-items: start;
}

.-col {
  display: flex;
}

.-col.--column {
  flex-direction: column;
}

.-col.--row {
  flex-direction: row;
}

footer .disclosure {
  color: var(--bbva-container-background);
  font-size: 0.875rem;
}

@media (max-width: 47.9375rem) {
  footer {
    display: flex;
    padding: 3.4375rem 1rem 3rem 1rem;
    flex-direction: column;
    align-items: center;
    gap: 2.5rem;
  }

  .-col.--column .links nav ul {
    gap: 1rem;
  }

  .-col.--row .xs-margin-bottom,
  .sm-xs-margin-bottom {
    margin-bottom: 0;
  }
}

@media (max-width: 64rem) {
  footer .container .content {
    gap: 2.5rem;
  }

  footer .container .content .top {
    flex-direction: column;
    gap: 0;
  }

  footer .container .content .top .-col {
    width: 100%;
    align-items: center;
    justify-content: center;
    flex-direction: column;
  }

  footer .container .content .bottom .copyright {
    text-align: center;
  }
}

/* Pre-Footer */
.pre-footer {
  display: flex;
  font-family: var(--font-body-medium);
  font-size: 1.25rem;
  justify-content: center;
  margin: 1rem;
  padding-block: clamp(
    2rem,
    calc(2rem + (4rem - 2rem) * ((100vw - 37.5rem) / 25rem)),
    4rem
  );
  padding-inline: clamp(
    1rem,
    calc(1rem + (10.25rem - 1rem) * ((100vw - 37.5rem) / 75rem)),
    10.25rem
  );

  .pre-footer-container {
    display: flex;
    justify-content: center;
    gap: 2rem;
    max-width: 74.625rem;
    width: 100%;
  }

  .pre-footer-title {
    margin-block-end: 1.5rem;
    font-size: 1.25rem;
    font-family: var(--font-body-medium);
  }

  ul {
    width: 100%;
    > *:not(:last-child) {
      padding-bottom: 1rem;
    }
  }

  .pre-footer-img {
    flex: 2;
    justify-content: flex-start;
  }

  [class^="menu-"] {
    flex: 1;
  }

  .best-bank-award-img {
    width: clamp(18.656rem, 19.7rem - 0.07vw, 19.4375rem);
    height: auto;
  }

  a.link,
  a {
    color: var(--bbva-primary-color);
    font-family: var(--font-body-medium);
    font-size: 0.9375rem;
  }

  @media (max-width: 64rem) {
    flex-direction: column;
    flex-wrap: wrap;
    text-align: center;

    .pre-footer-container {
      flex-direction: column;
      gap: 2.5rem;
      align-items: center;
    }

    .pre-footer-title {
      margin-block-end: 1rem;
    }

    .pre-footer-img {
      display: flex;
      justify-content: center;
    }
  }
}
